USB does not have power after wake-up

Bug #99267 reported by Eugenia Loli-Queru on 2007-03-31
66
This bug affects 2 people
Affects Status Importance Assigned to Milestone
acpi-support (Ubuntu)
Medium
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Feisty
Medium
Unassigned

Bug Description

I got this IBM Thinkpad T23 today, and while it goes to sleep successfully, it does not wake up correctly. Three things happen:
1. USB does not have power after wakeup! My usb mouse does not work after a wake up.
2. Same as in bug #37328
3. When I go around the #2, there is a new problem: the network card does not reconnect again.

Below are some logs.

Eugenia Loli-Queru (eloli) wrote :
Eugenia Loli-Queru (eloli) wrote :
Eugenia Loli-Queru (eloli) wrote :
Timo Aaltonen (tjaalton) wrote :

1. Ok, I can confirm that USB does not have power after resume... this is pretty recent though, it's not long since it worked

2. yeah, tricky but also a minor bug

3. this works here, check that no acpi-scripts are left running in the background. This could be related to NetworkManager somehow not working right.

Eugenia Loli-Queru (eloli) wrote :

Timo, regarding #3, this happens once every 5-6 wake ups, not every time. But it is reproducible. How do I check for acpi-scripts that are left running btw?

Timo Aaltonen (tjaalton) wrote :

For instance you could look for resume.sh in ps output.

BTW, there is a new kernel coming up, and it should contain especially acpi-related fixes.

Eugenia Loli-Queru (eloli) wrote :

No, there were no such scripts running. *However*, I was able to get networking back (not USB) by killing all networkmanager instances and acpid. After I did that, networking was back! I just don't know exactly which one of the 4 processes I killed did the trick. The networking problem happens on my other laptop too btw, a DELL with a different, broadcomm ethernet card, so it seems to be either an acpid or networkmanager problem and it seems to be reproducible on completely different hardware too.

But the USB not waking up it seems to be a real kernel bug.

Timo Aaltonen (tjaalton) wrote :

reassigning

Please check the network-manager bugs for a possible duplicate, or file a new one.

Timo Aaltonen (tjaalton) wrote :

Hoping to see this fixed again in Feisty.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-acpi
Matt Zimmerman (mdz) wrote :

#3 is probably bug 45696

Ben Collins (ben-collins) wrote :

Confirmed bugs should be marked with an importance, and generally only by people triaging the bugs (not bug submitters). Also, milestone should only be set by the devel team. Unfortunately this bug wont get fixes for release.

Changed in linux-source-2.6.20:
importance: Undecided → Medium
Jean-Luc Vialles (jl-vialles) wrote :

hello, I've an IBM T30 with ubuntu feisty release, and i've the same problem: all works, i've an external usb mouse but each time I close lid my laptop qoes sleeping and as it wake up, none of the two usb ports works and of course my usb mouse doesn't work, which command or ubuntu parameter file should I give you to help ?
If that can help, integrated wifi and the touchpad comes up fine, i've just to enter my network password and it works. another thing, i've not test tuhe pcmcia card (i've nothing on) purhaps it works or not (sorry). and last chance .. is there a 'magic unix command which can re-atcivate the usb ports ? )

th (daimoni) wrote :

This also happens with HP Pavilion desktop machine when using sleep mode

Timo Aaltonen (tjaalton) wrote :

also on my custom built athlon computer which I reinstalled recently, before it didn't have any acpi-support enabled by default. Now hibernation works properly, but suspend-to-ram makes USB to fail (and with an USB-mouse..).

I con confirm that for latest Feisty. I suspend to ram with s2ram -f on a Thinkpad Z61m.
Some lspci:

>00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 02)
>00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 02)
>00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 02)
>00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 02)
>00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)

Pluging something (well...) into the USB ports doesn't show a sign on dmesg.

mpvano (mvano) wrote :

I'm experiencing the same problem consistently on an IBM T30 model 2366-97U with a clean install (not an upgrade) from the desktop installer release of Feisty (not a beta) to a new 40gb hard disk drive using the basic installation defaults.

ALL usb devices become unusable after sleep until the next reboot.

The developer comments don't really indicate whether this is going to be fixed - there seems to be a confusing note about moving this bug report to some other place instead of this launchpad item.

thanks,

Mario

Same problem for Thinkpad A31 model 2652-M5G with a clean Feisty installation. USB devices are disabled after resuming from suspend to RAM /disk.

David Bushong (dbushong) wrote :

Confirmed #1 and #2 for my Thinkpad T23 on Feisty, although the video problem only happens about 5% of the time, not 80. Note also that while the video problem also existed on Edgy, the USB problem is new to Feisty.

#1 confirmed for Lenovo Z61m

Is there anything that we can do to help fix this big? it worked in a feisty beta.. do we think that its a kernel-bug or a script thing!?!

USB doesn't have power after wakeup: Did anybody try to work-around this feisty-bug with a vanilla kernel?

Karl Miller (karl-f-miller) wrote :

I'm using vanilla 2.6.21 now and the bug vanished for me.
But I haven't tested vanilla 2.6.20 so I can't say if it worked with it too.

computx (afleak) wrote :

Also have a t23 thinkpad. after resume the usb is dead, wireless pc card is also dead but can be made to wake up by either removing and reinserting the card or using network manager. All worked fine in edgy.

I now use the suspend2 patched kernel from
 deb http://download.tuxfamily.org/3v1deb feisty suspend2
 deb-src http://download.tuxfamily.org/3v1deb feisty suspend2
suspend2-to-disk works fine so far with USB enabled after resume.
Strangly the USB worked after one suspend-2-ram also..
both is not well tested on stability here..

For me, with a Compaq EvoN800v, same thing: USB does not work after resume from disk.
I think this should be fixed with some importance. In Edgy, I had no problems.

computx (afleak) wrote :

the suspend2 patched kernel does not help on my t23

Hey computx: Concerning the suspend2-workarround: With the suspend2 kernel i use the commands "hibernate-disk" and "hibernate-ram" to suspend to either. In my /ect/hibernate/disk.conf i use "TryMethod suspend2.conf" and in /etc/hibernate/ram.conf it uses only "TryMethod ususpend-ram.conf". Maybe that helps...

I have to add: Both suspend2ram and suspend2disk work very well for me since two days of using both.

Ali Hassan (alih-mithaiwala) wrote :

Hello
I have a T30 also, and I have the same problem. I saw that Karl Miller said that using the Vanilla 2.6.21 kernel has solved his problem. Can you any one else please verify this. Also for 7.04, how do I install this kernel.
Thanks

Chris Kälin (ck1) wrote :

Confirmed here too for the usb-module problem on a T30.

#1 confirmed for a Compaq (HP) TC1000 tablet. This is a serious issue since the detachable keyboard runs on USB drivers. I can't use hibernate or standby because when the computer wakes up, I have no input device.

Much of this is well documented in a duplicate of this bug, #106410 (I hadn't found this bug listing when I filed it):

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106410

In addition to output from lspci and lshal, it has before/after suspend/resume logs of dmesg, lsmod, and lsusb. Should be useful for debugging.

Perhaps the most interesting point is that after resume, the hub itself doesn't seem to be dead (according to lsusb), yet the devices that are plugged into it just don't get re-registered.

Adjusting /etc/default/acpi-support to unload/load usb modules for the suspend/resume does get rid of the dmesg lines saying "usb usb1: root hub lost power or was reset," but the behavior doesn't change, nor does what lsusb reports. See that bug report for details.

TS (thomas-schwarzl) wrote :

Same USB problem with Thinkpad T30 on Feisty Beta and Ubuntu Studio but networking works fine for me.
How can the USB problem be fixed please?

Alexander Kiel (alexanderkiel) wrote :

Same on a ThinkPad X30. USB works ok in Edgy. Since Feisty update it does not work after resume. Can someone please higher the imporance? Everyone who needs USB on a Laptop will have real problems with this bug.

The only non standard thing I'm aware of is the kernel parameter "acpi_sleep=s3_bios" which I use to get resume working in first place. But I had this parameter already in Edgy. I tryed to remove this parameter. Same as in Edgy. No resume after some minutes suspend. And no change for this bug.

Eugenia Loli-Queru (eloli) wrote :

Guys, I would suggest you stop commenting. I don't think that Ubuntu is interested in fixing the bug. I think that they simply wait for the next version of Ubuntu, which will use a newer kernel, and they simply think that it might be fixed there. While Ubuntu has some kernel engineers on board, they rarely delve into fixing such major issues.

So, don't hold your breath.

How can anyone just sit back and 'think' that it might get fixed? Such an
easy to test bug should be tested if they are at all interested in
maintaining a user base. It is this type of inattentiveness to a key-feature
bug which 'encourages' people to find another distribution. Come on Ubuntu -
prove that you care!

John

On 23/05/07, Eugenia Loli-Queru <email address hidden> wrote:
>
> Guys, I would suggest you stop commenting. I don't think that Ubuntu is
> interested in fixing the bug. I think that they simply wait for the next
> version of Ubuntu, which will use a newer kernel, and they simply think
> that it might be fixed there. While Ubuntu has some kernel engineers on
> board, they rarely delve into fixing such major issues.
>
> So, don't hold your breath.
>
> --
> USB does not have power after wake-up
> https://bugs.launchpad.net/bugs/99267
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
John Lipp
109 Kynaston Road
Didcot
OX11 8HA
email:<email address hidden>
Phone: 01235 200 562
Fax : 08715 227 465

Nick Irvine (nfirvine) wrote :

I can confirm for a Thinkpad A31. Also, if I plug in my PCMCIA USB card, it works fine.

lippj (j-lipp) wrote :

I suspect, though I cannot confirm this that if you plug your PCMCIA card in
then leave it in while you hibernate and wake up, it will not work any more
until you pull it out and put it back in. Can you confirm this Nick?
John

On 27/05/07, Nick Irvine <email address hidden> wrote:
>
> I can confirm for a Thinkpad A31. Also, if I plug in my PCMCIA USB
> card, it works fine.
>
> --
> USB does not have power after wake-up
> https://bugs.launchpad.net/bugs/99267
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
John Lipp
109 Kynaston Road
Didcot
OX11 8HA
email:<email address hidden>
Phone: 01235 200 562
Fax : 08715 227 465

I have the same experience with a PCMCIA card with USB ports that work
fine through suspend/wake up, while my Thinkpad T30's onboard ones do
not. The PCMCIA USB ports always work whether I remove the card or
leave it in through the suspend/wake cycle.

On 5/27/07, lippj <email address hidden> wrote:
> I suspect, though I cannot confirm this that if you plug your PCMCIA card in
> then leave it in while you hibernate and wake up, it will not work any more
> until you pull it out and put it back in. Can you confirm this Nick?
> John
>
> On 27/05/07, Nick Irvine <email address hidden> wrote:
> >
> > I can confirm for a Thinkpad A31. Also, if I plug in my PCMCIA USB
> > card, it works fine.
> >
> > --
> > USB does not have power after wake-up
> > https://bugs.launchpad.net/bugs/99267
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>
> --
> John Lipp
> 109 Kynaston Road
> Didcot
> OX11 8HA
> email:<email address hidden>
> Phone: 01235 200 562
> Fax : 08715 227 465
>
> --
> USB does not have power after wake-up
> https://bugs.launchpad.net/bugs/99267
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Nick Irvine (nfirvine) wrote :

Yes, I have the same experience as previous poster: the PCMCIA USB ports work fine, but not the builtin ones.

Nick Irvine (nfirvine) wrote :

I should mention that this machine is an old beast and is starting to have hardware problems (for example, the sound is cutting out; not a Linux-only problem), but this USB problem is repeatable consistently and the builtin USB ports otherwise work.

Morten Grouleff (mgr-trifork) wrote :

Same on Lenovo/IBM ThinkPad Z61m. Very annoying having to reboot every day when I get to work and plug in my usb keyboard and mouse.

mgr@mgrpc2:~$ uname -a
Linux mgrpc2 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

Morten Grouleff (mgr-trifork) wrote :
Ray Rees (rayrees) wrote :

Same issue on my Thinkpad T30w/ Feisty.

I switched from Fedora Core 7 (Moonshine) due to;
- Horrible instabilities w/ my Cisco PCMCIA Aironet WiFi. Kept shutting down the card!
- Has some "consolehelper" app that is supposed to be a GUI front end for various system settings, e.g., iptables firewall that does not actually change the scripts supposedly affected. Can cause much wasted time.
- Have to set up Samba manually. Ubuntu was up & running without any hassle!
- Suspend/resume shuts down Wifi card (when it doesn't automagically shut it down randomly).
- Numerous other annoyances that I'd rather not bore people to tears.

So I decided to use the people's choice of Ubuntu. Very impressed except for this bug.

If the suspend2 patch works, when can it be formally released to the Ubuntu community please?

I think enough users are adversely affected by this bug to warrant some escalation?

Thank you!

Ray Rees (rayrees) wrote :

Update: Tried Kubuntu Gutsy Tribe 3 on my Thinkpad T30 w/ Cisco 350 Aironet PCMCIA.
First, the good news: both suspend & hibernate worked! Had USB power & PCMCIA wireless!
Now for the very bad news: had the same unreliable pcmcia wireless behavior as Fedora Core 7, where the connection drops and sometimes the Cisco 350 Aironet appears dead.

Common factor between Gutsy & FC7 Moonshine: kernel 2.6.22.

Major bummer!

Hope Gutsy is fixed before October release.

How do I report this for Gutsy?

hendrixski (hendrixski) wrote :

I'm on a Toshiba portégé running feisty, and I can confirm that after rebooting I can use a USB mouse, however after hibernate it just refuses to work. My lspci -vvnn is attached

$uname -a
*** **** 2.6.20-16-lowlatency #2 SMP PREEMPT Thu Jun 7 20:23:03 UTC 2007 i686 GNU/Linux

This may be related to Bug #105563 in hal (Ubuntu): that many USB things just don't mount after hibernate. This sh*t is seriously broken; I agree that this bugs needs to be escalated!!

Timo Aaltonen (tjaalton) wrote :

I worked around usb-problems on my desktop by putting 'ohci_hcd' to MODULES in /etc/default/acpi-support. Now I have usb afrer resume. Haven't tried on T23 yet.

this should probably be reassigned to acpi-support, since that configfile says that usb-modules are unloaded/reloaded by default, which apparently isn't the case.

David Bushong (dbushong) wrote :

Alas, adding ohci_hcd to MODULES does not fix my T23

Frank Wornath (fw-public) wrote :

Had the same problem on my Toshiba A20. After adding "ohci_hcd ehci_hcd" to Modules (ehci --> USB 2.0 devices), everything works fine now.

Marc Quinton (mquinton) wrote :

I have same probleme with ubuntu-gutsy on a fresh install. No USB after hibernate.

Marc Quinton (mquinton) wrote :

so setting MODULES="ohci_hcd ehci_hcd" in /etc/default/acpi-support works fine for me to. Bellow here is my lshw result file.

marc@ubuntu-gutsy:~/tmp$ uname -a
Linux ubuntu-gutsy 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

Marc Quinton (mquinton) wrote :

my lspci file

Timo Aaltonen (tjaalton) wrote :

Marc, did you confuse hibernate and suspend? USB works fine here with hibernate, but suspend is buggy.

I think this belongs to acpi-support, not the kernel.

Marc Quinton (mquinton) wrote :

I never use suspend, but only hibernate. I have added some flags to this bug : "acpi hibernate usb", may be there are not right.

Urs Fleisch (ufleisch) wrote :

I can confirm this bug for a Compaq Evo N610c running Ubuntu Gutsy 7.10: After hibernate, USB is not working. It used to work with Dapper. It works again after adding "ohci_hcd ehci_hcd" or "ehci_hcd" to MODULES in /etc/default/acpi-support. Maybe you could add those modules to variable MODULES in /usr/share/acpi-support/Compaq.config for $model = "Evo Evo N610c", and then source /usr/share/acpi-support/device-funcs in /etc/acpi/hibernate.sh to make things "just work".

By the way: The comment before MODULES in /etc/default/acpi-support says that network cards and USB controllers will automatically be unloaded. However, in /etc/acpi/suspend.d/60-generate-modules-list.sh only network drivers are added to MODULES.

Henrik Nilsen Omma (henrik) wrote :

Could someone please test this with the 2.6.24 kernel (now in Hardy)? If it still appears, please nominate for a Hardy target. Thanks!

Changed in acpi-support:
status: Confirmed → Won't Fix
glass.dimly (jmjohn) wrote :

I can confirm this bug running Ubuntu Hardy 8.04 with a Dell XPS M1330, no USB power after wakeup.

Setting MODULES="ohci_hcd ehci_hcd" in /etc/default/acpi-support does not effect the issue.

I really hope this gets fixed as its very important to me. I would be glad to help in any way I can.

glass.dimly (jmjohn) wrote :

attached is my lspci after failed USB recovery from suspend.

glass.dimly (jmjohn) wrote :

I found a solution here:
https://wiki.ubuntu.com/LaptopTestingTeam/DellXPSM1330

to quote:
"...USB devices and webcam were not working properly after suspend. To fix, add: SUSPEND_MODULES="ehci_hcd uvcvideo" to /etc/pm/config.d/WORKAROUND file (it may not exist - create it then). More info at [WWW] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/211572. Still pending: "

Tested on Hardy 8.04 normal kernel, Dell XPS M1330, working. If you don't have a webcam, then, just use: SUSPEND_MODULES="ehci_hcd"

Curtis Hovey (sinzui) on 2011-07-18
Changed in acpi-support (Ubuntu Feisty):
assignee: Registry Administrators (registry) → nobody
Changed in acpi-support (Ubuntu):
assignee: Registry Administrators (registry) → nobody
Phillip Susi (psusi) wrote :

Is anyone still having this issue in a currently supported release? If so can you check the output of dmesg after resume?

Changed in acpi-support (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for acpi-support (Ubuntu) because there has been no activity for 60 days.]

Changed in acpi-support (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers